package com.ssj.service.conch.conch.padrequest;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.NotBlank;

/**
 * @Author: chchen
 * @Description
 * @Date Create in 10:14 2019/11/8
 * @Modified By
 */
public class PadUploadHomeworkRequest extends BaseRequest {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "vipId", value = "学生id", required = true)
    @NotBlank
    private String vipId;

    @ApiModelProperty(name = "courseName", value = "科目(YUWEN,YINGYU，SHUXUE)", required = true)
    private String   courseName;

    @ApiModelProperty(name = "startTime", value = "时间戳（开始时间）", required = true)
    private long   startTime;

    @ApiModelProperty(name = "endTime", value = "时间戳（结束时间）", required = true)
    private long   endTime;

    @ApiModelProperty(name = "derverFileId", value = "设备图片唯一Id", required = true)
    private String  derverFileId;

    @ApiModelProperty(name = "fileKeys", value = "文件名称", required = true)
    private String  fileKeys;

    @ApiModelProperty(name = "questionRecommendRecordId", value = "题目推荐记录")
    private String  questionRecommendRecordId;

    public String getVipId() {
        return vipId;
    }

    public void setVipId(String vipId) {
        this.vipId = vipId;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public long getStartTime() {
        return startTime;
    }

    public void setStartTime(long startTime) {
        this.startTime = startTime;
    }

    public long getEndTime() {
        return endTime;
    }

    public void setEndTime(long endTime) {
        this.endTime = endTime;
    }

    public String getDerverFileId() {
        return derverFileId;
    }

    public void setDerverFileId(String derverFileId) {
        this.derverFileId = derverFileId;
    }

    public String getFileKeys() {
        return fileKeys;
    }

    public void setFileKeys(String fileKeys) {
        this.fileKeys = fileKeys;
    }

    public String getQuestionRecommendRecordId() {
        return questionRecommendRecordId;
    }

    public void setQuestionRecommendRecordId(String questionRecommendRecordId) {
        this.questionRecommendRecordId = questionRecommendRecordId;
    }
}
